Subject: [bug#71697] [PATCH v3 2/2] scripts: lint: Honor package property to exclude checkers.

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 01 Jul 2024 16:44:26 -0400

Hi Dale,

Dale Mellor <[email-masked]> writes:

> On Fri, 2024-06-28 at 23:12 -0400, Maxim Cournoyer wrote:
>> 
>> While I dislike the attitude/approach used, I think the essence of the
>> complaint was that Guix, via SHW, was somehow facilitating the
>> scavenging of free software sources to train large language models
>> (LLM), with the opinion that these models do not respect the licenses of
>> the sources ingested for their produced output (the work is considered
>> new work, not a derived work, or perhaps it's still legally a gray area,
>> I don't know).  In this perspective, the original poster was seeking to
>> have the free software more protected against what they see as a loop
>> hole in the LLM business, as explained above.
>
>   Original, original poster here (I'm feeling pretty awkward right now TBH, like
> a bad shit-stirrer).  The point is that I use GUIX to support my own, private
> projects.  It is nothing to do with licensing, I'm the only one who has ever
> seen the code.  In this context it is unacceptable that GUIX should give it away
> to anyone.

OK. From my understanding, the code is not transferred; only an archival
request to the project URL is submitted to SHW, and its up to SHW to
attempt to retrieve it (which would fail if the URL is private/protected
by some means).

Perhaps we could have a dummy 'private' or 'non-free' license added to
(guix licenses), that the 'check-archival' procedure would check to skip
the archival request?  This would need to be documented (mentioning it's
not for use for packages carried in the Guix collection, but for end
users working on a software not meant to be distributed).

-- 
Thanks,
Maxim